Bug 1024014 (CVE-2016-10198)

Summary: VUL-1: CVE-2016-10198: gstreamer-plugins-good: Invalid memory read in gst_aac_parse_sink_setcaps
Product: [Novell Products] SUSE Security Incidents Reporter: Matthias Gerstner <matthias.gerstner>
Component: IncidentsAssignee: Antonio Larrosa <alarrosa>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low CC: astieger, jsegitz, matthias.gerstner, mikhail.kasimov, smash_bz, sreeves, zaitor
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/179847/
Whiteboard: CVSSv2:SUSE:CVE-2016-10198:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P) CVSSv2:NVD:CVE-2016-10198:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 1 Matthias Gerstner 2017-02-07 11:52:51 UTC
I could find the affected code only in the following codestreams:

SUSE:SLE-12:Update/gstreamer-plugins-good/gst-plugins-good-1.2.4/gst/audioparsers/gstaacparse.c:297
SUSE:SLE-12-SP2:Update/gstreamer-plugins-good/gst-plugins-good-1.8.3/gst/audioparsers/gstaacparse.c:301

For some reason I couldn't reproduce the segmentation fault from the upstream
bug. The PoC file from https://bugzilla.gnome.org/attachment.cgi?id=341134 is
supposed to cause one when running

  gst-discoverer-1.0 gst_aac_parse_sink_setcaps.aac

No segfault happens, valgrind shows nothing but memory leaks. In gdb the
function gst_aac_parse_sink_setcaps() isn't even reached. The command just
prints an error.

> This file is corrupt and cannot be played.

We should apply the upstream patch anyways, to be sure.
Comment 2 Swamp Workflow Management 2017-02-07 23:00:59 UTC
bugbot adjusting priority
Comment 6 Antonio Larrosa 2017-02-16 16:21:49 UTC
I made a few SRs to fix this:
https://build.suse.de/request/show/128202 for SLE12-SP2 (which will go automatically to Leap 42.2 once the fix is released)
https://build.suse.de/request/show/128218 for SLE12
https://build.opensuse.org/request/show/458517 for Leap 42.1
Factory is not affected.
Comment 7 Swamp Workflow Management 2017-04-13 13:10:28 UTC
SUSE-SU-2017:1004-1: An update that fixes three vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024034
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840
Sources used:
SUSE Linux Enterprise Server 12-SP1 (src):    gstreamer-plugins-good-1.2.4-2.9.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    gstreamer-plugins-good-1.2.4-2.9.1
Comment 8 Swamp Workflow Management 2017-04-13 13:13:57 UTC
SUSE-SU-2017:1010-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
SUSE Linux Enterprise Server 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
SUSE Linux Enterprise Desktop 12-SP2 (src):    gstreamer-plugins-good-1.8.3-12.12
Comment 9 Swamp Workflow Management 2017-04-19 19:12:18 UTC
openSUSE-SU-2017:1066-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
openSUSE Leap 42.2 (src):    gstreamer-plugins-good-1.8.3-5.3.1
Comment 10 Swamp Workflow Management 2017-04-20 13:13:06 UTC
openSUSE-SU-2017:1076-1: An update that fixes 5 vulnerabilities is now available.

Category: security (low)
Bug References: 1024014,1024017,1024030,1024034,1024062
CVE References: CVE-2016-10198,CVE-2016-10199,CVE-2017-5840,CVE-2017-5841,CVE-2017-5845
Sources used:
openSUSE Leap 42.1 (src):    gstreamer-plugins-good-1.4.5-8.1
Comment 11 Johannes Segitz 2017-07-11 15:18:50 UTC
fixed